#ifndef CHOOSE_MUTATOR_H
#define CHOOSE_MUTATOR_H

#include "SynTree/Mutator.h"

#include "utility.h"

namespace ControlStruct {

  class ChooseMutator : public Mutator
  {
  public:
    ChooseMutator() : insideChoose( false ) {}

    virtual Statement* mutate(ChooseStmt   *);
    virtual Statement* mutate(SwitchStmt   *);
    virtual Statement* mutate(FallthruStmt *);
    virtual Statement* mutate(CaseStmt     *);
  private:
    bool insideChoose;
  };

} // namespace ControlStruct

#endif // #ifndef CHOOSE_MUTATOR_H

/*
  Local Variables:
  mode: c++
  End:
*/
